blockchains:
  filehub:
    module: production
    moduleArgs:
      admin:
        admin_pubkey: 024EAC781EA53CB4BB6E40A0CBBB4CB59D977262765772E47154EF38588B79A546
      fs:
        payments_enabled: true
        price_per_byte_usd: 0.0000001
        one_usd_in_payment_asset_with_decimals: 323043
        upload_fee_in_percentage: 3
      lib.ft4.core.accounts:
        rate_limit:
          active: 0
      lib.ft4.core.accounts.strategies.transfer:
        rules:
          - sender_blockchain:
              - x"15c0ca99bee60a3b23829968771c50e491bd00d2e3ae448580cd48a8d71e7bba" # Economy Chain
            sender: "*"
            recipient: "*"
            asset:
              - name: "Chromia"
                issuing_blockchain_rid: x"15c0ca99bee60a3b23829968771c50e491bd00d2e3ae448580cd48a8d71e7bba"
                min_amount: 1000000L
            timeout_days: 30
            strategy:
              - "open"
    config:
      gtx:
        modules:
          - "net.postchain.d1.iccf.IccfGTXModule"

  filehub_devnet1_dapps1:
    module: production
    moduleArgs:
      admin:
        admin_pubkey: 02C517B54F899BC4D72CC994664C0D7DF42C28B4AF816964C7B92E4461ED604012
      fs:
        payments_enabled: true
        price_per_byte_usd: 0.0000001
        one_usd_in_payment_asset_with_decimals: 323043
        upload_fee_in_percentage: 3
      lib.ft4.core.accounts:
        rate_limit:
          active: 0
      lib.ft4.core.accounts.strategies.transfer:
        rules:
          - sender_blockchain:
              - x"83A9D1CC62C468A0D20854CAABB5EAD6DF50CD4DC0B2BCC2CDEC71F9DC201F9D" # Economy Chain
            sender: "*"
            recipient: "*"
            asset:
              - name: "Chromia Test"
                issuing_blockchain_rid: x"83A9D1CC62C468A0D20854CAABB5EAD6DF50CD4DC0B2BCC2CDEC71F9DC201F9D"
                min_amount: 1000000L
            timeout_days: 30
            strategy:
              - "open"
    config:
      gtx:
        modules:
          - "net.postchain.d1.iccf.IccfGTXModule"
          - "com.chromia.filehub.gtx.FilehubGTXModule"

  filehub_dev: # Separate entrypoint module for development & E2E testing
    module: development
    moduleArgs:
      admin:
        admin_pubkey: 03FCB67076C73C06E5D66B65D1D5BAC3D41B6952C2D298A28941FD28A9EB6C2CAC
      fs:
        payments_enabled: false
        price_per_byte_usd: 0.0000001
        one_usd_in_payment_asset_with_decimals: 323043
        upload_fee_in_percentage: 1.5
      lib.ft4.core.accounts:
        rate_limit:
          active: 0
    config:
      gtx:
        modules:
          - "net.postchain.d1.iccf.IccfGTXModule"

libs:
  ft4:
    registry: https://gitlab.com/chromaway/ft4-lib.git
    path: rell/src/lib/ft4
    tagOrBranch: v1.0.0r
    rid: x"FA487D75E63B6B58381F8D71E0700E69BEDEAD3A57D1E6C1A9ABB149FAC9E65F"
    insecure: false
  iccf:
    registry: https://gitlab.com/chromaway/core/directory-chain
    path: src/iccf
    tagOrBranch: 1.32.2
    rid: x"1D567580C717B91D2F188A4D786DB1D41501086B155A68303661D25364314A4D"
    insecure: false

compile:
  source: rell/src
  rellVersion: 0.13.13

database:
  schema: filehub

test:
  modules:
    - tests
  moduleArgs:
    admin:
      admin_pubkey: 036fae54a1bb72638ab73b141db2bd40bf69639bd961d92c57c492de871aff448d
    fs:
      payments_enabled: false
      price_per_byte_usd: 0.0000001
      one_usd_in_payment_asset_with_decimals: 323043
      upload_fee_in_percentage: 1.5
    lib.ft4.core.accounts:
        rate_limit:
          active: 0
    lib.ft4.core.admin:
      admin_pubkey: 036fae54a1bb72638ab73b141db2bd40bf69639bd961d92c57c492de871aff448d

deployments:
  local:
    url: http://localhost:7740
    brid: x"C12802B261B6A6A7DCF612BAB60299248ECC18EF1C0D0A6D61D067F900F775B0"
    container: filehub
  devnet1_dapps1:
    url: https://node0.devnet1.chromia.dev:7740
    brid: x"58FE4D15AA5BDA450CC8E55F7ED63004AB1D2535A123F860D1643FD4108809E3"
    container: 4KIG8GcfqJ
    chains:
      filehub_devnet1_dapps1: x"2A1AC48BB2E120821104B8841040984D69E9EE41AF1A81AE996B586AC6B0D5D6"
  mainnet:
    url: https://system.chromaway.com:7740
    brid: x"7E5BE539EF62E48DDA7035867E67734A70833A69D2F162C457282C319AA58AE4"
    container: 3a11fc58ad798015907748d0c2ab8fa0fa1c775e896b4de16a5152d9e30f1092
    chains:
      filehub: x"4CAA61D1E98C2BDDBB3292AE83B4E20FA502BB5DF9579D35D98C03E9B1311562"

